<template>
	<view>
		<view class="single_Phone">
			<span style="color:red;margin-right:5rpx;padding-top: 5px;" v-show="CompData.IsRequire">*</span>{{CompData.Name}}
		</view>
		<input class="single_Input" @input='getvalue' v-model="CompData.TextValue" :maxlength="CompData.WordsLength==0?-1:CompData.WordsLength"
		 :placeholder="`请输入${CompData.Name}`" style="border-bottom: 1px solid #DCDFE6;padding-top:5px;" />
		<view class="single_Remark" v-if="CompData.Remark">{{CompData.Remark}}</view>
	</view>
</template>

<script>
	export default {
		props: ["CompData", 'index'],
		data() {
			return {

			}
		},
		created() {},
		mounted() {

		},
		onLoad() {},
		methods: {
			getvalue() {
				this.$emit('success', this.CompData, this.index)
			}
		}
	}
</script>
